Bug 137121 - UI: Make it possible to right click the style previews in NB Tabbed mode (to open settings; similar to Sidebar)
Summary: UI: Make it possible to right click the style previews in NB Tabbed mode (to ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2020-09-29 08:44 UTC by Telesto
Modified: 2021-12-21 07:46 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
style item popup menu demo (658.49 KB, video/x-matroska)
2021-01-23 04:49 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-29 08:44:26 UTC
Description:
UI: Make it possible to right click the style previews in tabbed mode (to open settings; similar to sidebar)

Steps to Reproduce:
1. open Writer
2. Enable tabbed mode UI
3. Home tab
4. Right click heading

Actual Results:
Gets applied

Expected Results:
Being able to edit the style


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: dec9a123867dcd0fea4683beeb3b4b6659f926f3
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2020-09-29 09:00:54 UTC
This would be a significant improvement; wouldn't run the action directly but offer it in a context menu though.
Comment 2 Telesto 2020-09-29 09:10:48 UTC
(In reply to Heiko Tietze from comment #1)
> This would be a significant improvement; wouldn't run the action directly
> but offer it in a context menu though.

Naturally a context menu of course; for me it's like the obvious to do (so it doesn't even cross my mind to do it directly) But yes, being explicit reduces the risk of miscommunication.
Comment 3 Telesto 2020-09-29 09:15:10 UTC
@Caolan
Remembering vaguely something about the tabbed bar being somewhat 'unconventional' constructed from dialog perspective. 

So is it even possible to have a right click context menu in it?
Comment 4 Telesto 2020-11-02 08:23:10 UTC
@Jim
A small poke: It would really nice to have this from usability perspective :-)
Comment 5 Jim Raykowski 2021-01-23 04:49:59 UTC
Created attachment 169100 [details]
style item popup menu demo

Finally got to this one :) Is this correct?
Comment 6 Telesto 2021-01-23 07:28:09 UTC
I'm already happy :-)
Comment 7 Jim Raykowski 2021-01-23 07:48:27 UTC
(In reply to Telesto from comment #6)
> I'm already happy :-)

I take that as this is correct or at least a good start :)

https://gerrit.libreoffice.org/c/core/+/109838
Comment 8 Telesto 2021-01-23 08:46:48 UTC
(In reply to Jim Raykowski from comment #7)
> (In reply to Telesto from comment #6)
> > I'm already happy :-)
> 
> I take that as this is correct or at least a good start :)
> 
> https://gerrit.libreoffice.org/c/core/+/109838

Hoping for a backport to the 7.1 (and maybe even 7.0) branch at some point. but maybe first some testing and obviously UX approval
Comment 9 V Stuart Foote 2021-01-23 17:20:45 UTC
(In reply to Jim Raykowski from comment #7)
> (In reply to Telesto from comment #6)
> > I'm already happy :-)
> 
> I take that as this is correct or at least a good start :)
> 
> https://gerrit.libreoffice.org/c/core/+/109838

@Jim, that looks good. Another notch in bringing the NB to parity with TB.

But it would now only be opening the style edit dialog.

Are we able to also provide the "Update to match selection", as found on the Standard TB listbox "style|update" context menu?
Comment 10 Jim Raykowski 2021-01-23 20:59:25 UTC
(In reply to V Stuart Foote from comment #9)

> Are we able to also provide the "Update to match selection", as found on the
> Standard TB listbox "style|update" context menu?

Patchset 2 does this.

Anything else?
Comment 11 V Stuart Foote 2021-01-23 22:01:16 UTC
(In reply to Jim Raykowski from comment #10)
> (In reply to V Stuart Foote from comment #9)
> 
> > Are we able to also provide the "Update to match selection", as found on the
> > Standard TB listbox "style|update" context menu?
> 
> Patchset 2 does this.
> 
> Anything else?

No, that should do it. I don't think we'd need/want reveal triangle cluttering up the UI. Just the pop-open menu as for normal menu context menus, right?
Comment 12 Commit Notification 2021-02-03 20:52:10 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f16ab02c98b8d3483f6b6a7f8f10a4e41b545464

tdf#137121 add popup menu to style items used in styles preview window

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 stragu 2021-10-15 12:14:11 UTC
I am not able to verify in 7.2.2 on Ubuntu 18.04.
Instead, right-clicking the first row of styles does not open a context menu, and right-clicking the following rows of headings result in what would happen if you right-clicked somewhere in the document.
Has the fix been tested on Linux at all? Or is this a regression for all platforms?

Version: 7.2.2.2 / LibreOffice Community
Build ID: 02b2acce88a210515b4a5bb2e46cbfb63fe97d56
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded
Comment 14 Jim Raykowski 2021-10-19 10:51:48 UTC
Still works using x11 backend but no longer works using gtk3. Something seems to have changed with the control used to display the styles preview.
Comment 15 Jim Raykowski 2021-10-19 11:07:45 UTC
https://gerrit.libreoffice.org/c/core/+/110408 changed the control used for styles preview.
Comment 16 stragu 2021-11-05 02:27:23 UTC
added meta bug as it didn't have any.
Verified as fixed in:

Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 5b2848413883565c48d312c96daf8fbca25405d8
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: x11
Locale: en-AU (en_AU.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-10-11_23:38:53
Calc: threaded

... but opening another bug for the issue in GTK3.